import { r as l, V as ue, bk as pe, d as Xe, b as Ge, e as Ze, f as je, a as ne, Z as d, cZ as Je, aw as Ye, l as o, c as D, o as v, w as n, aE as N, D as ae, j as a, U as et, M as tt, W as ot, i as g, k as nt, ds as ie, N as at, dA as it, h as le, aB as lt, cB as st, H as rt, B as ct, p as x, A as T, eG as ut, F as pt, x as dt, ib as mt, aI as ft, aF as U, S as _t, aH as ht, X as yt, ac as se, gK as vt, __tla as __tla_0 } from "./index-9PRMimni.js";
import { _ as kt, __tla as __tla_1 } from "./AddModal.vue_vue_type_script_setup_true_lang-CG945sBi.js";
import { _ as wt, __tla as __tla_2 } from "./OnlineFormPage.vue_vue_type_script_setup_true_lang-BTRFA7Xc.js";
import { B as re } from "./Table-0PViRYCf.js";
import { _ as ce } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { B as bt } from "./BasicForm-dL_oCSPM.js";
import { u as gt } from "./useForm-CKmgcynv.js";
import { c as xt, __tla as __tla_3 } from "./SelectDataModal.vue_vue_type_script_setup_true_lang-Cjrrh7uO.js";
import { c as V, __tla as __tla_4 } from "./schemas-DEsCEng-.js";
import { a as Tt } from "./tree-Doz7tklw.js";
import { l as St, m as Ct, e as Pt, n as Dt, o as qt, h as At } from "./workpermit-ycq2YJDA.js";
import { d as Ft } from "./download-CIBdrxiA.js";
import { u as Et } from "./account-C850CBTF.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./smsFormsTemplate-Dsea_L5v.js";
import "./useModal-CO65vga3.js";
import "./LuckySheet.vue_vue_type_style_index_0_lang-C6fooT_k.js";
import "./template-rpthWlT9.js";
import "./index-kKnqLkWM.js";
import "./rejectModal.vue_vue_type_script_setup_true_lang-KCtZZHCu.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./index-DkvzUEqh.js";
import { __tla as __tla_5 } from "./index.vue_vue_type_style_index_0_scoped_b974e5ec_lang-_0QwzFKM.js";
import "./jobOrder-CGbsc7bp.js";
import "./has-CjqcrIOV.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import { __tla as __tla_6 } from "./index-8tHZJCCW.js";
import "./TimelineItem-Bkds7ZW8.js";
import "./Flex-CTSf12gq.js";
import "./schemas-BmKi-UM9.js";
import "./props-CLtNejQT.js";
import "./FormItemGridItem-CDUF0EA0.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./tabsView-BXskTdVh.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload-DUsnro3W.js";
import "./BasicSelect-C_uwzMkE.js";
import "./dictionary-BRse4lkf.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./dateUtil-BtafrT1f.js";
import "./planner-BebmniHR.js";
import "./base64Conver-4Xd-Hzyx.js";
let Lo;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_4;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_5;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_6;
        } catch  {}
    })()
]).then(async ()=>{
    const { t: k } = ue(), Bt = pe();
    function Rt() {
        const K = l(), i = l();
        return {
            applicationColumns: [
                {
                    title: k("hsqe.workpermit.tableNum"),
                    key: "",
                    width: 60,
                    render (r, _) {
                        return (K.value - 1) * i.value + _ + 1;
                    }
                },
                {
                    title: k("hsqe.workpermit.applicationNo"),
                    key: "reportNum",
                    width: 200
                },
                {
                    title: k("hsqe.workpermit.vessel"),
                    key: "shipName",
                    width: 200
                },
                {
                    title: k("hsqe.workpermit.Status"),
                    key: "approveStatus",
                    width: 200,
                    render (r) {
                        return Bt.getLocale === "en" ? r.approveStatusNameEn : r.approveStatusName;
                    }
                },
                {
                    title: k("hsqe.workpermit.validateTime"),
                    key: "startTime",
                    width: 350,
                    render (r) {
                        return r.startTime && r.endTime ? r.startTime + " - " + r.endTime : "";
                    }
                },
                {
                    title: k("hsqe.workpermit.requestBy"),
                    key: "user_name",
                    width: 200
                },
                {
                    title: k("hsqe.workpermit.requestTime"),
                    key: "submitTime",
                    width: 200,
                    render (r) {
                        return r.submitTime || "";
                    }
                }
            ],
            applicationMethods: {
                setApplicationPage: (r)=>{
                    K.value = r.pageNum, i.value = r.pageSize;
                }
            }
        };
    }
    let Nt, Ut, Kt, It, Wt;
    Nt = {
        class: "flex items-center"
    };
    Ut = {
        class: "w-full menu"
    };
    Kt = {
        class: "py-3 menu-list"
    };
    It = {
        key: 0,
        class: "flex items-center justify-center py-4"
    };
    Wt = {
        class: "flex items-center justify-center py-4"
    };
    Lo = Xe({
        __name: "index",
        setup (K) {
            const { t: i } = ue(), S = Je(), $ = Ge(), r = pe(), _ = Ze(), C = je(), z = l(), M = l(), H = l(), de = l(), L = l(), q = l(""), A = l(!1), w = l([]), c = l([]), p = l([]), P = l(), F = l($.getUserInfo.id), O = l(), I = l("mainPage"), h = l(!1), y = l("permit"), { columns: me, methods: fe } = xt(), { applicationColumns: _e, applicationMethods: he } = Rt(), { setPage: ye } = fe, { setApplicationPage: ve } = he, E = l([]), ke = ne({
                width: 200,
                title: "操作",
                key: "action",
                fixed: "right",
                align: "center",
                render (e) {
                    return d(ce, {
                        style: "text",
                        actions: [
                            {
                                label: i("hsqe.deficiency.view"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-View text-[#3F7AE9] text-[20px]"
                                }),
                                onClick: We.bind(null, e)
                            },
                            {
                                label: i("common.optionsEditText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: Ie.bind(null, e),
                                ifShow: e.updateEnable == 1 && (e.approveStatus == 1 || e.approveStatus == 2 || e.approveStatus == 8)
                            },
                            {
                                label: i("common.optionsDelText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-Delete"
                                }),
                                color: "red",
                                isConfirm: !0,
                                confirmContent: i("common.dialogContentDeleteText"),
                                ifShow: ()=>[
                                        1,
                                        2,
                                        8
                                    ].includes(+e.approveStatus),
                                onPositiveClick: ()=>{
                                    Be(e);
                                }
                            }
                        ]
                    });
                }
            }), we = ne({
                width: 200,
                title: i("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (e) {
                    return d(ce, {
                        style: "text",
                        actions: [
                            {
                                label: i("common.optionsViewText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-View text-[#3F7AE9] text-[20px]"
                                }),
                                onClick: J.bind(null, e),
                                ifShow: ()=>[
                                        1,
                                        3
                                    ].includes(+e.workPermitsStatus) && +e.processType != 1
                            },
                            {
                                label: i("common.exportText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-Export size16"
                                }),
                                onClick: De.bind(null, e),
                                ifShow: ()=>[
                                        3
                                    ].includes(+e?.workPermitsStatus) && (e.uploadUrlFile || e.documentUrlFile)
                            },
                            {
                                label: i("common.uploadText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-upload size16"
                                }),
                                onClick: qe.bind(null, e),
                                ifShow: ()=>[
                                        3
                                    ].includes(+e?.workPermitsStatus) && e.createBy === F.value && !e?.uploadUrlFile
                            },
                            {
                                label: i("common.optionsEditText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: j.bind(null, e),
                                ifShow: ()=>[
                                        0,
                                        2
                                    ].includes(+e.workPermitsStatus) && +e.processType != 1 && e.createBy === F.value
                            },
                            {
                                label: i("common.optionsDelText"),
                                labelShow: !1,
                                icon: d("i", {
                                    class: "iconfont icon-Delete"
                                }),
                                color: "red",
                                isConfirm: !0,
                                confirmContent: i("common.dialogContentDeleteText"),
                                ifShow: ()=>[
                                        0,
                                        2
                                    ].includes(+e.workPermitsStatus) && +e.processType != 1 && e.createBy === F.value,
                                onPositiveClick: ()=>{
                                    Ee(e);
                                }
                            }
                        ]
                    });
                }
            }), [be, { getFieldsValue: Q, resetFields: ge }] = gt({
                gridProps: {
                    cols: "4"
                },
                schemas: E,
                labelWidth: "auto",
                labelPlacement: "top",
                showAdvancedButton: !1
            });
            function X() {
                w.value.length ? w.value = [] : (w.value = o(p).map((e)=>e.id), se(()=>{
                    const e = typeof C.query.selectKey == "string" ? C.query?.selectKey : "";
                    if (e && e) {
                        c.value = [
                            Number(e)
                        ];
                        const t = B(p.value, c.value);
                        R(c.value, [
                            t
                        ]);
                    }
                }));
            }
            function B(e, t) {
                for (const s of e){
                    if (s.id == t) return s;
                    if (s.children && s.children.length > 0) {
                        const f = B(s.children, t);
                        if (f) return f;
                    }
                }
                return null;
            }
            async function G(e) {
                A.value = !0;
                try {
                    p.value = await Tt(e), Z(p.value || []), X(), A.value = !1;
                } catch  {
                    p.value = [], A.value = !1;
                }
            }
            function Z(e) {
                e.forEach((t)=>{
                    t.children?.length ? Z(t.children) : t.children = void 0;
                });
            }
            function xe(e) {
                w.value = e;
            }
            function R(e, t) {
                if (t[0]?.businessKey) {
                    if (c.value = e, P.value = t?.[0], t?.[0].type == "oilWorkPermit" && t?.[0].name == "热工作业许可证") {
                        h.value = !0;
                        const s = V({
                            type: "application"
                        });
                        E.value = s.searchSchemas;
                    } else {
                        h.value = !1;
                        const s = V();
                        E.value = s.searchSchemas;
                    }
                    y.value = h.value ? "application" : "", se(()=>{
                        ge(), m(!0);
                    });
                }
            }
            function Te(e, t) {
                return ye(e), Dt({
                    ...e,
                    ...t,
                    workPermitsType: P.value?.businessKey
                });
            }
            function Se(e, t) {
                return ve(e), qt({
                    ...e,
                    ...t,
                    templateCode: "workPermitHotWork"
                });
            }
            function m(e) {
                h && y.value == "application" ? M.value[e ? "restReload" : "reload"]() : z.value[e ? "restReload" : "reload"]();
            }
            function Ce() {
                H.value?.handleOpenModal(i("common.addText"));
            }
            function Pe(e, t) {
                m(!1), e && j({
                    id: t
                });
            }
            function j(e) {
                _.push({
                    name: "workPermitDetail",
                    query: {
                        id: e.id
                    }
                });
            }
            function J(e) {
                _.push({
                    name: "workPermitDetail",
                    query: {
                        id: e.id
                    }
                });
            }
            function De(e) {
                Ft({
                    url: e.uploadUrlFile || e.documentUrlFile
                });
            }
            function qe(e) {
                O.value = e, L.value?.openOpenFileDialog();
            }
            function Ae({ file: e }) {
                return e.name?.split(".")?.pop()?.toLowerCase() !== "pdf" ? (S.error(`${i("common.file.uploadFormat")} .pdf`), !1) : !0;
            }
            async function Fe(e) {
                const t = new FormData;
                t.append("file", e.file?.file);
                try {
                    const s = await Et(t);
                    e.onFinish(), await At({
                        id: O.value?.id,
                        uploadUrl: s.name
                    }), m(!1), S.success(i("common.optionsSuccessText"));
                } catch  {
                    e.onError();
                }
            }
            async function Ee(e) {
                await St(e.id), S.success(i("common.optionsDelSuccessText")), m(!1);
            }
            async function Be(e) {
                await Ct({
                    templateCode: e.template_code,
                    uuid: e.uuid
                }), S.success(i("common.optionsDelSuccessText")), m(!1);
            }
            function Re(e) {
                I.value = e;
            }
            function Ne() {
                m();
            }
            async function Ue() {
                try {
                    const e = V();
                    E.value = e.searchSchemas;
                    const t = await vt({
                        meta: {
                            isReturnNativeResponse: !0
                        }
                    });
                    if (t.data?.success) switch(t.data?.data){
                        case "1":
                            await G("dryWorkPermit");
                            break;
                        case "2":
                            await G("oilWorkPermit");
                            break;
                        default:
                            break;
                    }
                    else console.log(t.data?.msg);
                } catch (e) {
                    console.log(e);
                }
            }
            function Ke() {
                _.push({
                    name: "HSQE_WorkPermit_addApplication",
                    query: {
                        type: "add",
                        selectKey: c.value[0]
                    }
                });
            }
            function Ie(e) {
                _.push({
                    name: "HSQE_WorkPermit_addApplication",
                    query: {
                        type: "edit",
                        uuid: e.uuid,
                        code: e.template_code,
                        selectKey: c.value[0]
                    }
                });
            }
            function We(e) {
                _.push({
                    name: "HSQE_WorkPermit_addApplication",
                    query: {
                        type: "view",
                        uuid: e.uuid,
                        code: e.template_code,
                        selectKey: c.value[0]
                    }
                });
            }
            function Y(e) {
                const t = e ?? o(p)?.[0] ?? {};
                return !t.children || t.children.length === 0 ? t?.id ?? null : Y(t.children[0]);
            }
            return Ye(async ()=>{
                if (await Ue(), C.query.id) {
                    J({
                        id: C.query.id
                    });
                    const e = await Pt(C.query.id), t = p.value[0].children.filter((f)=>f.businessKey === e.workPermitsType);
                    c.value = [
                        Number(t[0].id)
                    ];
                    const s = B(p.value, c.value);
                    R(c.value, [
                        s
                    ]);
                } else {
                    const e = Y();
                    if (e === null) return;
                    c.value = [
                        e
                    ];
                    const t = B(o(p), o(c));
                    R(o(c), [
                        t
                    ]);
                }
            }), (e, t)=>{
                const s = at, f = ct, W = rt, Ve = nt, $e = lt, ze = st, b = ot, ee = tt, te = mt, Me = dt, oe = ft, He = _t, Le = et, Oe = ht, Qe = yt;
                return v(), D(Qe, null, {
                    default: n(()=>[
                            N(a(Le, {
                                cols: "1 s:1 m:1 l:24 xl:24 2xl:24",
                                responsive: "screen",
                                "x-gap": 12
                            }, {
                                default: n(()=>[
                                        a(ee, {
                                            span: "5"
                                        }, {
                                            default: n(()=>[
                                                    a(b, {
                                                        segmented: {
                                                            content: "hard"
                                                        },
                                                        bordered: !1,
                                                        size: "small"
                                                    }, {
                                                        header: n(()=>[
                                                                a(W, null, {
                                                                    default: n(()=>[
                                                                            a(f, {
                                                                                type: "primary",
                                                                                ghost: "",
                                                                                "icon-placement": "left",
                                                                                onClick: X
                                                                            }, {
                                                                                icon: n(()=>[
                                                                                        g("div", Nt, [
                                                                                            a(s, {
                                                                                                size: "14"
                                                                                            }, {
                                                                                                default: n(()=>[
                                                                                                        a(o(ut))
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ])
                                                                                    ]),
                                                                                default: n(()=>[
                                                                                        x(T(o(w).length ? "Collapse" : "Expand") + " ", 1)
                                                                                    ]),
                                                                                _: 1
                                                                            })
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: n(()=>[
                                                                g("div", Ut, [
                                                                    a(Ve, {
                                                                        value: o(q),
                                                                        "onUpdate:value": t[0] || (t[0] = (u)=>ie(q) ? q.value = u : null),
                                                                        placeholder: "Please input keyword"
                                                                    }, {
                                                                        suffix: n(()=>[
                                                                                a(s, {
                                                                                    size: "18",
                                                                                    class: "cursor-pointer"
                                                                                }, {
                                                                                    default: n(()=>[
                                                                                            a(o(it))
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    }, 8, [
                                                                        "value"
                                                                    ]),
                                                                    g("div", Kt, [
                                                                        o(A) ? (v(), le("div", It, [
                                                                            a($e, {
                                                                                size: "medium"
                                                                            })
                                                                        ])) : (v(), D(ze, {
                                                                            key: 1,
                                                                            "block-line": "",
                                                                            cascade: "",
                                                                            "virtual-scroll": !0,
                                                                            pattern: o(q),
                                                                            data: o(p),
                                                                            expandedKeys: o(w),
                                                                            "selected-keys": o(c),
                                                                            cancelable: !1,
                                                                            "label-field": o(r).getLocale === "en" ? "nameEn" : "name",
                                                                            "key-field": "id",
                                                                            style: {
                                                                                "max-height": "650px",
                                                                                overflow: "hidden"
                                                                            },
                                                                            "onUpdate:selectedKeys": R,
                                                                            "onUpdate:expandedKeys": xe
                                                                        }, null, 8, [
                                                                            "pattern",
                                                                            "data",
                                                                            "expandedKeys",
                                                                            "selected-keys",
                                                                            "label-field"
                                                                        ]))
                                                                    ])
                                                                ])
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }),
                                        a(ee, {
                                            span: "19"
                                        }, {
                                            default: n(()=>[
                                                    o(P)?.businessKey ? (v(), le(pt, {
                                                        key: 0
                                                    }, [
                                                        a(b, {
                                                            class: "mb-3 proCard"
                                                        }, {
                                                            default: n(()=>[
                                                                    a(o(bt), {
                                                                        onRegister: o(be),
                                                                        onSubmit: t[1] || (t[1] = (u)=>m(!0)),
                                                                        onReset: t[2] || (t[2] = (u)=>m(!0))
                                                                    }, null, 8, [
                                                                        "onRegister"
                                                                    ])
                                                                ]),
                                                            _: 1
                                                        }),
                                                        o(h) ? (v(), D(b, {
                                                            key: 0,
                                                            style: {
                                                                "border-radius": "10px 10px 0 0"
                                                            },
                                                            bordered: !1
                                                        }, {
                                                            default: n(()=>[
                                                                    a(Me, {
                                                                        type: "line",
                                                                        value: o(y),
                                                                        "onUpdate:value": [
                                                                            t[3] || (t[3] = (u)=>ie(y) ? y.value = u : null),
                                                                            Ne
                                                                        ]
                                                                    }, {
                                                                        default: n(()=>[
                                                                                a(te, {
                                                                                    name: "application"
                                                                                }, {
                                                                                    default: n(()=>[
                                                                                            x(T(o(i)("hsqe.workpermit.tabApplication")), 1)
                                                                                        ]),
                                                                                    _: 1
                                                                                }),
                                                                                a(te, {
                                                                                    name: "permit"
                                                                                }, {
                                                                                    default: n(()=>[
                                                                                            x(T(o(i)("hsqe.workpermit.tabPermit")), 1)
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    }, 8, [
                                                                        "value"
                                                                    ])
                                                                ]),
                                                            _: 1
                                                        })) : ae("", !0),
                                                        N(a(b, {
                                                            class: "proCard",
                                                            bordered: !1,
                                                            style: {
                                                                "border-radius": "0 0 10px 10px"
                                                            }
                                                        }, {
                                                            default: n(()=>[
                                                                    a(o(re), {
                                                                        ref_key: "applicationTableRef",
                                                                        ref: M,
                                                                        columns: o(_e),
                                                                        request: (u)=>Se(u, o(Q)()),
                                                                        "row-key": (u)=>u.id,
                                                                        actionColumn: o(ke),
                                                                        immediate: !1,
                                                                        autoScrollX: !0,
                                                                        "virtual-scroll": ""
                                                                    }, {
                                                                        tableTitle: n(()=>[
                                                                                a(W, null, {
                                                                                    default: n(()=>[
                                                                                            a(oe, {
                                                                                                trigger: "hover"
                                                                                            }, {
                                                                                                trigger: n(()=>[
                                                                                                        a(f, {
                                                                                                            type: "primary",
                                                                                                            strong: "",
                                                                                                            bordered: "",
                                                                                                            secondary: "",
                                                                                                            class: "size-7",
                                                                                                            onClick: Ke
                                                                                                        }, {
                                                                                                            icon: n(()=>t[5] || (t[5] = [
                                                                                                                    g("i", {
                                                                                                                        class: "iconfont icon-ADD"
                                                                                                                    }, null, -1)
                                                                                                                ])),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                default: n(()=>[
                                                                                                        x(" " + T(o(i)("common.addText")), 1)
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    }, 8, [
                                                                        "columns",
                                                                        "request",
                                                                        "row-key",
                                                                        "actionColumn"
                                                                    ])
                                                                ]),
                                                            _: 1
                                                        }, 512), [
                                                            [
                                                                U,
                                                                o(y) == "application" && o(h)
                                                            ]
                                                        ]),
                                                        N(a(b, {
                                                            class: "proCard",
                                                            bordered: !1,
                                                            style: {
                                                                "border-radius": "0 0 10px 10px"
                                                            }
                                                        }, {
                                                            default: n(()=>[
                                                                    a(o(re), {
                                                                        ref_key: "basicTableRef",
                                                                        ref: z,
                                                                        columns: o(me),
                                                                        request: (u)=>Te(u, o(Q)()),
                                                                        "row-key": (u)=>u.id,
                                                                        actionColumn: o(we),
                                                                        immediate: !1,
                                                                        autoScrollX: !0,
                                                                        "virtual-scroll": ""
                                                                    }, {
                                                                        tableTitle: n(()=>[
                                                                                a(W, null, {
                                                                                    default: n(()=>[
                                                                                            a(oe, {
                                                                                                trigger: "hover"
                                                                                            }, {
                                                                                                trigger: n(()=>[
                                                                                                        a(f, {
                                                                                                            type: "primary",
                                                                                                            strong: "",
                                                                                                            bordered: "",
                                                                                                            secondary: "",
                                                                                                            class: "size-7",
                                                                                                            onClick: Ce
                                                                                                        }, {
                                                                                                            icon: n(()=>t[6] || (t[6] = [
                                                                                                                    g("i", {
                                                                                                                        class: "iconfont icon-ADD"
                                                                                                                    }, null, -1)
                                                                                                                ])),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                default: n(()=>[
                                                                                                        x(" " + T(o(i)("common.addText")), 1)
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    }, 8, [
                                                                        "columns",
                                                                        "request",
                                                                        "row-key",
                                                                        "actionColumn"
                                                                    ])
                                                                ]),
                                                            _: 1
                                                        }, 512), [
                                                            [
                                                                U,
                                                                o(y) == "permit" || !o(h)
                                                            ]
                                                        ])
                                                    ], 64)) : (v(), D(b, {
                                                        key: 1,
                                                        class: "proCard",
                                                        bordered: !1
                                                    }, {
                                                        default: n(()=>[
                                                                g("div", Wt, [
                                                                    a(He, null, {
                                                                        default: n(()=>[
                                                                                x(T(o(i)("hsqe.workpermit.selectText")), 1)
                                                                            ]),
                                                                        _: 1
                                                                    })
                                                                ])
                                                            ]),
                                                        _: 1
                                                    }))
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }, 512), [
                                [
                                    U,
                                    o(I) === "mainPage"
                                ]
                            ]),
                            o(I) === "onlineEditPage" ? (v(), D(wt, {
                                key: 0,
                                ref_key: "onlineFormPageRef",
                                ref: de,
                                selectedTreeItem: o(P),
                                treeData: o(p)?.[0]?.children,
                                userId: o(F),
                                onSuccess: m,
                                onBack: t[4] || (t[4] = (u)=>Re("mainPage"))
                            }, null, 8, [
                                "selectedTreeItem",
                                "treeData",
                                "userId"
                            ])) : ae("", !0),
                            a(kt, {
                                ref_key: "addModalRef",
                                ref: H,
                                selectedTreeItem: o(P),
                                onSuccess: Pe
                            }, null, 8, [
                                "selectedTreeItem"
                            ]),
                            N(a(Oe, {
                                ref_key: "uploadRef",
                                ref: L,
                                "directory-dnd": "",
                                accept: ".xls,.xlsx",
                                "custom-request": Fe,
                                "show-file-list": !1,
                                onBeforeUpload: Ae
                            }, null, 512), [
                                [
                                    U,
                                    !1
                                ]
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Lo as default, __tla };
